<template>
    <app-layout>
        <template #header>Dashboard</template>

        <panel>
            <div class="px-4 py-2">
                <div class="text-gray-600 dark:text-gray-400 text-center">
                    <span class="font-bold text-xl">Welcome to Vapor!</span>
                </div>
                <div class="mt-6 text-gray-500">
                    <div class="font-bold text-xl">Active Shows</div>
                    <div v-if="shows.length < 1">No Active Shows</div>
                    <ul v-else class="list-disc ml-6">
                        <li v-for="show in shows" :key="show.id">
                            <span class="font-bold">{{show.name}}</span> has {{ show.displays.length }} display{{ (show.displays.length != 1)?'s':''}}
                            <!-- TODO: Active Displays -->
                            <!-- TODO: Show Interactivity -->
                        </li>
                    </ul>
                </div>
                <div class="mt-6 text-gray-500" v-if="ownsFeature('inventory')">
                    <div class="font-bold text-xl">Inventory Checkd Out</div>
                    <div v-if="inventory.length < 1">Nothing Checked Out</div>
                    <div v-else>
                        <div v-for="checkout in inventory" :key="checkout.id">
                            {{ checkout.inventory.name }}
                            Due {{ checkout.checkout_due }}
                        </div>
                    </div>
                </div>
                <div class="mt-6 text-gray-500">
                    <div class="font-bold text-xl">File Storage</div>
                    Currently using {{ filesizeTool(filesize) }} out of 10GB.
                    <span v-if="filesize > 9663676416">You have less than 1GB left. Please consider deleting some files.</span>
                </div>
            </div>
        </panel>
    </app-layout>
</template>

<script>
    import AppLayout from './../Layouts/AppLayout'
    import Panel from './../Components/Panel'

    import filesizeTool from 'filesize'

    export default {
        components: {
            AppLayout,
            Panel,
        },
        data(){
            return {
                filesizeTool,
            }
        },
        props: {
            shows: Array,
            inventory: Array,
            filesize: Number,
        }
    }
</script>
